> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_estimateFee

> Estimates the fee for a given call request



## OpenAPI

````yaml /api-reference/openapi.json post /zks_estimateFee
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_estimateFee:
    post:
      tags:
        - ZKSync API
      summary: zks_estimateFee
      description: Estimates the fee for a given call request
      operationId: zks_estimateFee
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_estimateFee
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Call parameters
                  default:
                    - from: '0x1111111111111111111111111111111111111111'
                      to: '0x2222222222222222222222222222222222222222'
                      data: '0xffffffff'
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 2
              method: zks_estimateFee
              params:
                - from: '0x1111111111111111111111111111111111111111'
                  to: '0x2222222222222222222222222222222222222222'
                  data: '0xffffffff'
      responses:
        '200':
          description: Returns the estimated fee details
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 2
                  result:
                    type: object
                    properties:
                      gas_limit:
                        type: string
                        description: The maximum amount of gas that can be used
                        example: '0x1ea9a9'
                      max_fee_per_gas:
                        type: string
                        description: >-
                          The maximum fee per unit of gas that the sender is
                          willing to pay
                        example: '0x17d7840'
                      max_priority_fee_per_gas:
                        type: string
                        description: >-
                          The maximum priority fee per unit of gas to
                          incentivize miners
                        example: '0x0'
                      gas_per_pubdata_limit:
                        type: string
                        description: The gas limit per unit of public data
                        example: '0x5340'
              example:
                jsonrpc: '2.0'
                result:
                  gas_limit: '0x1ea9a9'
                  max_fee_per_gas: '0x17d7840'
                  max_priority_fee_per_gas: '0x0'
                  gas_per_pubdata_limit: '0x5340'
                id: 2

````